Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Michael Albinus <[email-masked]>
Date: Mon, 27 Feb 2012 12:03:06 +0100

Thierry Volpiatto <[email-masked]> writes:

> To finish this thread, I would like to say I am not happy with the last
> changes made to file-subdir-of-p by Chong Yidong without ANY
> notifications.
> Even after discussion about CL integration in Emacs, it seem it is not
> for tomorrow.
> i.e what is your problem with loop?

I cannot speak for Chong, but personally I dislike CL's loop. It isn't
readable, and so it decreases maintanability of such a basic package
like files.el.